## org.apache.xalan.transformer
Class KeyManager

    java.lang.Object
      |
      +--org.apache.xalan.transformer.KeyManager

public class KeyManager
extends java.lang.Object

This class manages the key tables.

Constructor Summary
`KeyManager()`

Method Summary
`XNodeSet` `getNodeSetDTMByKey(XPathContext xctxt, int doc, QName name, XMLString ref, PrefixResolver nscontext)` Given a valid element key, return the corresponding node list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyManager

    public KeyManager()

Method Detail

### getNodeSetDTMByKey

    public XNodeSet getNodeSetDTMByKey(XPathContext xctxt,
                                       int doc,
                                       QName name,
                                       XMLString ref,
                                       PrefixResolver nscontext)
                                throws TransformerException

  Given a valid element key, return the corresponding node list.
  Parameters:
    `xctxt` - The XPath runtime state
    `doc` - The document node
    `name` - The key element name
    `ref` - The key value we're looking for
    `nscontext` - The prefix resolver for the execution context
  Returns:
    A nodelist of nodes mathing the given key
  Throws:
    TransformerException -

Copyright © 2006 Apache XML Project. All Rights Reserved.